Mailinglist Archive: opensuse-buildservice (96 mails)

< Previous Next >
Re: [opensuse-buildservice] Upgrading to OBS 2.7, database migrate fails
On Donnerstag, 29. September 2016, 16:35:20 CEST wrote Troels Hansen:
Hi there,

I'm trying to upgrade to OBS 2.7, and I need to migrate the DB.

The instructions (from
https://github.com/openSUSE/open-build-service/blob/master/dist/README.UPDATERS)
tell my to run "RAILS_ENV="production" rails.ruby2.3 db:migrate"
^^^^^

this needs to be rake instead of rails.


However, I get an 'Error: Command 'db:migrate' not recognized'

Am I doing something wrong? (obviousle I am)....

You are reading the README file of git master branch, but you run OBS 2.7.
Rails has changed meanwhile, so the docu has been adapted already.

Either read the file which comes with the package or switch to 2.7 branch.

bd
adrian



--

Adrian Schroeter
email: adrian@xxxxxxx

SUSE Linux GmbH, GF: Felix Imendörffer, Jane Smithard, Graham Norton, HRB 21284
(AG Nürnberg)

Maxfeldstraße 5
90409 Nürnberg
Germany


--
To unsubscribe, e-mail: opensuse-buildservice+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-buildservice+owner@xxxxxxxxxxxx

< Previous Next >
This Thread
  • No further messages